org.apache.poi.hwpf.model.types

## Class LFOAbstractType

- java.lang.Object
- - org.apache.poi.hwpf.model.types.LFOAbstractType

- Direct Known Subclasses:
    LFO

      @Internal
      public abstract class LFOAbstractType
      extends java.lang.Object

  List Format Override (LFO).

  Class and fields descriptions are quoted from [MS-DOC] --v20110315; Word (.doc) Binary File Format

  NOTE: This source is automatically generated please do not modify this file. Either subclass or remove the record in src/types/definitions.

  This class is internal. It content or properties may change without notice due to changes in our knowledge of internal Microsoft Word binary structures.

  Author:
    Sergey Vladimirov; according to [MS-DOC] --v20110315; Word (.doc) Binary File Format; Copyright (c) Microsoft Corporation

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `field_1_lsid`
    `protected int` | `field_2_unused1`
    `protected int` | `field_3_unused2`
    `protected byte` | `field_4_clfolvl`
    `protected byte` | `field_5_ibstFltAutoNum`
    `protected Grfhic` | `field_6_grfhic`
    `protected byte` | `field_7_unused3`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `LFOAbstractType()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `protected void` | `fillFields(byte[] data, int offset)`
    `byte` | `getClfolvl()` An unsigned integer that specifies the field that this LFO represents..
    `Grfhic` | `getGrfhic()` HTML compatibility flags.
    `byte` | `getIbstFltAutoNum()` Used for AUTONUM field emulation.
    `int` | `getLsid()` A signed integer that specifies the list identifier of an LSTF.
    `static int` | `getSize()` Size of record
    `int` | `getUnused1()` This field MUST be ignored.
    `int` | `getUnused2()` This field MUST be ignored.
    `byte` | `getUnused3()` This field MUST be ignored.
    `int` | `hashCode()`
    `byte[]` | `serialize()`
    `void` | `serialize(byte[] data, int offset)`
    `void` | `setClfolvl(byte field_4_clfolvl)` An unsigned integer that specifies the field that this LFO represents..
    `void` | `setGrfhic(Grfhic field_6_grfhic)` HTML compatibility flags.
    `void` | `setIbstFltAutoNum(byte field_5_ibstFltAutoNum)` Used for AUTONUM field emulation.
    `void` | `setLsid(int field_1_lsid)` A signed integer that specifies the list identifier of an LSTF.
    `void` | `setUnused1(int field_2_unused1)` This field MUST be ignored.
    `void` | `setUnused2(int field_3_unused2)` This field MUST be ignored.
    `void` | `setUnused3(byte field_7_unused3)` This field MUST be ignored.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### field_1_lsid

          protected int field_1_lsid

    - #### field_2_unused1

          protected int field_2_unused1

    - #### field_3_unused2

          protected int field_3_unused2

    - #### field_4_clfolvl

          protected byte field_4_clfolvl

    - #### field_5_ibstFltAutoNum

          protected byte field_5_ibstFltAutoNum

    - #### field_6_grfhic

          protected Grfhic field_6_grfhic

    - #### field_7_unused3

          protected byte field_7_unused3

  - ### Constructor Detail

    - #### LFOAbstractType

          protected LFOAbstractType()

  - ### Method Detail

    - #### fillFields

          protected void fillFields(byte[] data,
                                    int offset)

    - #### serialize

          public void serialize(byte[] data,
                                int offset)

    - #### serialize

          public byte[] serialize()

    - #### getSize

          public static int getSize()

      Size of record

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getLsid

          @Internal
          public int getLsid()

      A signed integer that specifies the list identifier of an LSTF. This LFO corresponds to the LSTF in PlfLst.rgLstf that has an lsid whose value is equal to this value..

    - #### setLsid

          @Internal
          public void setLsid(int field_1_lsid)

      A signed integer that specifies the list identifier of an LSTF. This LFO corresponds to the LSTF in PlfLst.rgLstf that has an lsid whose value is equal to this value..

    - #### getUnused1

          @Internal
          public int getUnused1()

      This field MUST be ignored.

    - #### setUnused1

          @Internal
          public void setUnused1(int field_2_unused1)

      This field MUST be ignored.

    - #### getUnused2

          @Internal
          public int getUnused2()

      This field MUST be ignored.

    - #### setUnused2

          @Internal
          public void setUnused2(int field_3_unused2)

      This field MUST be ignored.

    - #### getClfolvl

          @Internal
          public byte getClfolvl()

      An unsigned integer that specifies the field that this LFO represents..

    - #### setClfolvl

          @Internal
          public void setClfolvl(byte field_4_clfolvl)

      An unsigned integer that specifies the field that this LFO represents..

    - #### getIbstFltAutoNum

          @Internal
          public byte getIbstFltAutoNum()

      Used for AUTONUM field emulation.

    - #### setIbstFltAutoNum

          @Internal
          public void setIbstFltAutoNum(byte field_5_ibstFltAutoNum)

      Used for AUTONUM field emulation.

    - #### getGrfhic

          @Internal
          public Grfhic getGrfhic()

      HTML compatibility flags.

    - #### setGrfhic

          @Internal
          public void setGrfhic(Grfhic field_6_grfhic)

      HTML compatibility flags.

    - #### getUnused3

          @Internal
          public byte getUnused3()

      This field MUST be ignored.

    - #### setUnused3

          @Internal
          public void setUnused3(byte field_7_unused3)

      This field MUST be ignored.

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.